Subject: Re: Recent linux-image update broke CPU fan

From: "Neal P. Murphy" <[email-masked]>
Date: Wed, 21 Sep 2016 17:19:09 -0400

On Tue, 1 Dec 2015 21:12:29 -0500
"Neal P. Murphy" <[email-masked]> wrote:

> On Sun, 29 Nov 2015 17:18:51 -0500
> "Neal P. Murphy" <[email-masked]> wrote:
> 
> > On Sun, 29 Nov 2015 14:35:15 +0100
> > Sven Arvidsson <[email-masked]> wrote:
> > 
> > > On Sun, 2015-11-29 at 02:16 -0500, Neal P. Murphy wrote:
> > > > I think the last linux-image update broke my CPU fan. OK, it didn't
> > > > actually break it. But since the last update, my CPU fan (stock with
> > > > vishera 8350 black) will NOT turn faster than about 3500 RPM.
> > > > 
> > > > I have been using fancontrol for months. It took weeks to get it set
> > > > correctly. At maximum speed, I've seen (and heard) the fan turn in
> > > > excess of 6500 RPM.
> > > > 
> > > > Until the recent kernel update, the CPU and case fans have ramped up
> > > > with increasing temp and ramped down with decreasing temp. The CPU
> > > > never exceeded about 60C when compiling linux using all 8 CPUs for 5
> > > > minutes. And that was with a mild overclock (4.4GHz, 1866 RAM at
> > > > 2133).
> > > > 
> > > > Now, the CPU fan will not exceed about 3700 RPM. That's barely fast
> > > > enough to keep 4 non-overclocked CPUs cool.
> > > > 
> > > > Has anyone else experienced this? Is it related to the kernel update?
> > > > Or do I have a power supply or motherboard failing (again)?
> > > 
> > > If this was on a stable system it seems odd, if it was unstable or
> > > testing it might just be one of the "charms" of running something that
> > > is in development.
> 
> It's still odd. But with no change to the OS, the fan speed has returned. So I'm going to conclude that it is related to hardware and/or firmware (flaky NVRAM, flaky power supply, flaky mainboard, &c.), that the kernel update was not the cause.

Following up on this, it was almost certainly the power supply. Turns out the supplies I had on hand each had two 20A (or 22A) 12VDC rails. The 12VDC was dipping during periods of 'high load' (meaning the current draw exceeded the rail's ability to supply it). Modern 'high power' CPUs often need a lot more than that. I bought a Corsair RM750X supply with a single 625A 12VDC rail. Overkill, but it was only $60 after rebates. The Smoothwall Express build time remained at around 90 minutes (a little less for 32-bit, a little more for 64-bit); Linux takes less than 8 minutes to build. The fans work correctly again.

All is well now. The CPU fan sometimes gets up to about 7000 RPM (when the room temp is high). The CPU stays under 60C (but will rise slightly higher than that if the room is over 80-85°F. The 12VDC is rock steady. It took me a while to retune /etc/fancontrol to keep the fans silent when the system is mostly quiescent.

Debian was not at fault.

N